curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/{entity_type}/{entity_type_external_id}/custom_properties \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/{entity_type}/{entity_type_external_id}/custom_properties"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/{entity_type}/{entity_type_external_id}/custom_properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"property_name": "type",
"property_value": "online"
},
{
"property_name": "years_of_experience",
"property_value": 3
},
{
"property_name": "online",
"property_value": true
},
{
"property_name": "tools",
"property_value": [
"JIRA",
"Git"
]
},
{
"property_name": "creation_date",
"property_value": "2023-04-25T17:14:30.40"
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Retrieve all Custom Properties of an entity
Fetch all entity’s Custom Properties from the system (if any exists, otherwise an empty list is returned).
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Custom Properties are supported on the following entity types: taxonomy/domains, taxonomy/subdomains, taxonomy/skill_clusters, taxonomy/skills, employees, organisational_units, job_architecture/job_families, job_architecture/jobs, vacancies, courses, skill_clusters, and companies.
Unique external ID linked to this entity, consisting of alphanumeric characters, hyphens and underscores. Note that the endpoint taxonomy/skills uses skill_id.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Response
OK
[
{
"property_name": "type",
"property_value": "online"
},
{
"property_name": "years_of_experience",
"property_value": 3
},
{
"property_name": "online",
"property_value": true
},
{
"property_name": "tools",
"property_value": ["JIRA", "Git"]
},
{
"property_name": "creation_date",
"property_value": "2023-04-25T17:14:30.40"
}
]
Was this page helpful?